# /sys/experiments

The `/sys/experiments` endpoint returns information about experiments on the Vault node.

### Read experiments

This endpoint returns the experiments available and enabled on the Vault node. Experiments are per-node and cannot be changed while the node is running. See the `-experiment` flag and the `experiments` config key documentation for details on enabling experiments.

| Method | Path               |
| ------ | ------------------ |
| `GET`  | `/sys/experiments` |

#### Sample request

```shell-session
$ curl \
    http://127.0.0.1:8200/v1/sys/experiments
```

#### Sample response

```json
{
  "request_id": "cb48b1e2-635c-52e9-db79-ad9a54ed3e88",
  "lease_id": "",
  "lease_duration": 0,
  "renewable": false,
  "data": {
    "available": [
      "events.alpha1"
    ],
    "enabled": []
  },
  "warnings": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-experiments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
